Foxit PDF SDK

Public Types | Public Member Functions | Public Attributes | List of all members
foxit::addon::conversion::DWG2PDFSettingData Class Reference

Inherits Object.

## Public Types
enum | DWG2PDFColorPolicy { e_DWG2PDFColorPolicyNoPolicy = 0, e_DWG2PDFColorPolicyMono = 1, e_DWG2PDFColorPolicyGrayscale = 2 }
| Enumeration for color policy used for converting DWG to PDF. More...
enum | DWG2PDFExportFlags { e_FlagEmbededTTF = 0x0001, e_FlagTTFTextAsGeometry = 0x0002, e_FlagSHXTextAsGeometry = 0x0004, e_FlagSimpleGeomOptimization = 0x0008, e_FlagEnableLayers = 0x0010, e_FlagIncludeOffLayers = 0x0020, e_FlagEmbededOptimizedTTF = 0x0040, e_FlagUseHLR = 0x0080, e_FlagFlateCompression = 0x0100, e_FlagASCIIHexEncoding = 0x0200, e_FlagExportHyperlinks = 0x0400, e_FlagZoomToExtentsMode = 0x0800, e_FlagLinearized = 0x1000, e_FlagMeasuring = 0x4000 }
| Enumeration for flags of DWG to PDF export. More...
enum | DWG2PDFExportHatchesType { e_DWG2PDFExportHatchesTypeBitmap = 0, e_DWG2PDFExportHatchesTypeDrawing = 1, e_DWG2PDFExportHatchesTypePdfPaths = 2, e_DWG2PDFExportHatchesTypePolygons = 3 }
| Enumeration for hatches export type used for converting DWG to PDF. More...
enum | DWG2PDFSearchableTextType { e_DWG2PDFSearchableTextTypeNoSearch = 0, e_DWG2PDFSearchableTextTypeSHX = 1, e_DWG2PDFSearchableTextTypeTTF = 2 }
| Enumeration for searchable text type used for converting DWG to PDF. More...

## Public Member Functions
| DWG2PDFSettingData ()
| Constructor, with parameters.
DWG2PDFSettingData & | operator= (const DWG2PDFSettingData &data)
| Assign operator. More...

## Public Attributes
DWG2PDFColorPolicy | color_policy
| The color policy used for the converted PDF document. More...
uint32 | export_flags
| The export flags used for the converted PDF document. Please refer to values starting from DWG2PDFSettingData::e_FlagEmbededTTF and this can be one or a combination of these values It could also be 0, which means all bits in the flag are 0.
DWG2PDFExportHatchesType | export_hatches_type
| The type of solid hatches export. More...
DWG2PDFExportHatchesType | gradient_export_hatches_type
| The type of gradient hatches export. More...
bool | is_active_layout
| true means to export the active layout only, while false means not. Default value: false.
bool | is_output_progress
| A boolean value which indicates whether to output progress logs. true means to output progress logs, and false means not. Default value: true.
DWG2PDFExportHatchesType | other_export_hatches_type
| The type of other (non-solid) hatches export. More...
foxit::WString | output_author
| The author for the output PDF document, an empty string will be used as default.
foxit::WString | output_creator
| The creator for the output PDF document, an empty string will be used as default.
foxit::WString | output_keywords
| The keywords for the output PDF document, an empty string will be used as default.
foxit::WString | output_producer
| The producer for the output PDF document, an empty string will be used as default.
foxit::WString | output_subject
| The subject for the output PDF document, an empty string will be used as default.
foxit::WString | output_title
| The title for the output PDF document, an empty string will be used as default.
float | paper_height
| The paper height used for the converted PDF document. More...
float | paper_width
| The paper width used for the converted PDF document. More...
void * | progress_callback
| A pointer to a DWG2PDFProgressCallback object which is used to receive the progress of converting DWG to PDF. This parameter can be NULL.
DWG2PDFSearchableTextType | searchable_text_type
| The type of search text type. More...

## Detailed Description

This class represents settings used for converting DWG to PDF. This would be used in class Convert.

See also
  Convert

## Member Enumeration Documentation

## ◆ DWG2PDFColorPolicy

enum foxit::addon::conversion::DWG2PDFSettingData::DWG2PDFColorPolicy

Enumeration for color policy used for converting DWG to PDF.

Values of this enumeration should be used alone.

Enumerator
e_DWG2PDFColorPolicyNoPolicy | Color policy: No color policy. A drawing is exported with its native color palette (as is).
e_DWG2PDFColorPolicyMono | Color policy: Drawing is exported to a monochrome PDF file.
e_DWG2PDFColorPolicyGrayscale | Color policy: Drawing is exported to a grayscale PDF file. Native colors are converted into grayscale.

## ◆ DWG2PDFExportFlags

enum foxit::addon::conversion::DWG2PDFSettingData::DWG2PDFExportFlags

Enumeration for flags of DWG to PDF export.

Values of this enumeration could be used alone or in a combination.

Enumerator
e_FlagEmbededTTF | Bit 1. Enable embedding of TTF(True Type Font) program to PDF file. The whole TTF font file will be embedded (huge PDF size).
e_FlagTTFTextAsGeometry | Bit 2. Enable TTF font text to geometry conversion.
e_FlagSHXTextAsGeometry | Bit 3. Enable SHX font text to geometry conversion.
e_FlagSimpleGeomOptimization | Bit 4. Enable simple geometry optimization (separated segments to one polyline, Bezier curve control points).
e_FlagEnableLayers | Bit 5. If enabled, layer support will be added to PDF file (1.5 version required).
e_FlagIncludeOffLayers | Bit 6. If enabled, invisible layers will be added to PDF file (1.5 version required).
e_FlagEmbededOptimizedTTF | Bit 7. Enable embedding of TTF font program to PDF file. The TTF font will be reduced by removing unused parts (smaller PDF file size, but limited editing).
e_FlagUseHLR | Bit 8. Determines whether software uses vector hidden-line removal for corresponding viewports.
e_FlagFlateCompression | Bit 9. Enable compression of internal PDF streams.
e_FlagASCIIHexEncoding | Bit 10. Enable ASCIIHex encoding of internal PDF streams.
e_FlagExportHyperlinks | Bit 11. Enable hyperlinks export.
e_FlagZoomToExtentsMode | Bit 12. If enabled, layout geometry will be zoomed to paper size, else layout settings will be applied. Note This mode works like some Layout settings: "Plot Area" - "Extents", "Fit to Paper", "Center the plot", these settings applied to specified paper size and orientation, but some settings like "Plot lineweight", "Plot style" are still applying from Layout settings.
e_FlagLinearized | Bit 13. Create linearized PDF file.
e_FlagMeasuring | Bit 15. Enable measuring scale in pdf.

## ◆ DWG2PDFExportHatchesType

enum foxit::addon::conversion::DWG2PDFSettingData::DWG2PDFExportHatchesType

Enumeration for hatches export type used for converting DWG to PDF.

Values of this enumeration should be used alone.

Enumerator
e_DWG2PDFExportHatchesTypeBitmap | Hatches export type: Exports hatch as a bitmap.
e_DWG2PDFExportHatchesTypeDrawing | Hatches export type: Exports hatch as a set of triangles (vectorizer).
e_DWG2PDFExportHatchesTypePdfPaths | Hatches export type: Exports hatch as a PDF path (solid hatches only).
e_DWG2PDFExportHatchesTypePolygons | Hatches export type: Exports hatch as a polygon (solid hatches only).

## ◆ DWG2PDFSearchableTextType

enum foxit::addon::conversion::DWG2PDFSettingData::DWG2PDFSearchableTextType

Enumeration for searchable text type used for converting DWG to PDF.

Values of this enumeration should be used alone.

Enumerator
e_DWG2PDFSearchableTextTypeNoSearch | Searchable text type: No searchable text.
e_DWG2PDFSearchableTextTypeSHX | Searchable text type: Only text displayed with SHX font is searchable.
e_DWG2PDFSearchableTextTypeTTF | Searchable text type: Only text displayed with TTF font is searchable.

## Member Function Documentation

## ◆ operator=()

DWG2PDFSettingData& foxit::addon::conversion::DWG2PDFSettingData::operator= | ( | const DWG2PDFSettingData & | data | ) |
| inline

Assign operator.

Parameters

  [in] | data | Another DWG-to-PDF setting data object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## Member Data Documentation

## ◆ color_policy

DWG2PDFColorPolicy foxit::addon::conversion::DWG2PDFSettingData::color_policy

The color policy used for the converted PDF document.

It use DWG2PDFSettingData::e_DWG2PDFColorPolicyNoPolicy as the default value of this option. Please refer to values starting from DWG2PDFSettingData::e_DWG2PDFColorPolicyNoPolicy and this should be one of these values.

## ◆ export_hatches_type

DWG2PDFExportHatchesType foxit::addon::conversion::DWG2PDFSettingData::export_hatches_type

The type of solid hatches export.

It use DWG2PDFSettingData::e_DWG2PDFExportHatchesTypeBitmap as the default value of this option. Please refer to values starting from DWG2PDFSettingData::e_DWG2PDFExportHatchesTypeBitmap and this should be one of these values.

## ◆ gradient_export_hatches_type

DWG2PDFExportHatchesType foxit::addon::conversion::DWG2PDFSettingData::gradient_export_hatches_type

The type of gradient hatches export.

For this option, only DWG2PDFSettingData::e_DWG2PDFExportHatchesTypeBitmap and DWG2PDFSettingData::e_DWG2PDFExportHatchesTypeDrawing are supported. It use DWG2PDFSettingData::e_DWG2PDFExportHatchesTypeBitmap as the default value of this option. Please refer to values starting from DWG2PDFSettingData::e_DWG2PDFExportHatchesTypeBitmap and this should be one of these values

## ◆ other_export_hatches_type

DWG2PDFExportHatchesType foxit::addon::conversion::DWG2PDFSettingData::other_export_hatches_type

The type of other (non-solid) hatches export.

For this option, only DWG2PDFSettingData::e_DWG2PDFExportHatchesTypeBitmap and DWG2PDFSettingData::e_DWG2PDFExportHatchesTypeDrawing are supported. It use DWG2PDFSettingData::e_DWG2PDFExportHatchesTypeBitmap as the default value of this option. Please refer to values starting from DWG2PDFSettingData::e_DWG2PDFExportHatchesTypeBitmap and this should be one of these values

## ◆ paper_height

float foxit::addon::conversion::DWG2PDFSettingData::paper_height

The paper height used for the converted PDF document.

This option can be used if layout geometry will be zoomed to paper size(DWG2PDFSettingData::e_FlagZoomToExtentsMode are enabled by export_flags). It use the default value 297.0f. this values are in millimeters.

## ◆ paper_width

float foxit::addon::conversion::DWG2PDFSettingData::paper_width

The paper width used for the converted PDF document.

This option can be used if layout geometry will be zoomed to paper size(DWG2PDFSettingData::e_FlagZoomToExtentsMode are enabled by export_flags). It use the default value 210.0f. this values are in millimeters.

## ◆ searchable_text_type

DWG2PDFSearchableTextType foxit::addon::conversion::DWG2PDFSettingData::searchable_text_type

The type of search text type.

This option can be used if SHX or TTF text exported as geometry(DWG2PDFSettingData::e_FlagTTFTextAsGeometry and DWG2PDFSettingData::e_FlagSHXTextAsGeometry are enabled by export_flags). It use DWG2PDFSettingData::e_DWG2PDFSearchableTextTypeNoSearch as the default value of this option. Please refer to values starting from DWG2PDFSettingData::e_DWG2PDFSearchableTextTypeNoSearch and this should be one of these values.